Debian Bug report logs - #691930
typo in aptitude-options name in lb_config

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Frank Gard <frank@familie-gard.de>

Date: Wed, 31 Oct 2012 14:06:02 UTC

Severity: normal

Found in version live-build/3.0~a51-1

Fixed in version live-build/3.0~a67-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691930; Package live-build. (Wed, 31 Oct 2012 14:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Gard <frank@familie-gard.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 31 Oct 2012 14:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Gard <frank@familie-gard.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lb_config doesn't accept --aptitude-options
Date: Wed, 31 Oct 2012 15:02:39 +0100
Package: live-build
Version: 3.0~a51-1
Severity: normal

Dear Maintainer,

due to a typo in /usr/share/live/build/scripts/build/lb_config it's not possible to use the option "--aptitude-options". It should be quite easy to fix it by replacing "aptitute-options" through the correct "aptitude-options" in the LONG_OPTIONS variable. Here's the suggested patch:

cp /usr/share/live/build/scripts/build/lb_config{,.buggy}
vi /usr/share/live/build/scripts/build/lb_config
diff -u /usr/share/live/build/scripts/build/lb_config{.buggy,}
--- /usr/share/live/build/scripts/build/lb_config.buggy 2012-06-27 14:45:12.000000000 +0200
+++ /usr/share/live/build/scripts/build/lb_config       2012-10-31 14:35:57.996727126 +0100
@@ -155,7 +155,7 @@

 Local_arguments ()
 {
-       LONG_OPTIONS="apt:,apt-ftp-proxy:,apt-http-proxy:,apt-options:,aptitute-options:,
+       LONG_OPTIONS="apt:,apt-ftp-proxy:,apt-http-proxy:,apt-options:,aptitude-options:,
                apt-pipeline:,apt-recommends:,apt-secure:,apt-source-archives:,bootstrap:,cache:,cache-indices:,cache-packages:,
                cache-stages:,debconf-frontend:,debconf-nowarnings:,debconf-priority:,dump,
                initramfs:,initramfs-compression:,initsystem:,fdisk:,losetup:,mode:,system:,root-command:,use-fakeroot:,tasksel:,includes:,
r


Thanks in advance!
Frank.



-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a43-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools                  3.0.13-1
ii  fakeroot                    1.18.4-2
pn  genisoimage                 <none>
pn  memtest86+ | memtest86      <none>
pn  mtools                      <none>
pn  parted                      <none>
pn  squashfs-tools | mtd-tools  <none>
ii  sudo                        1.8.5p2-1
pn  syslinux | grub             <none>
ii  uuid-runtime                2.20.1-5.2
pn  win32-loader                <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691930; Package live-build. (Wed, 31 Oct 2012 14:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 31 Oct 2012 14:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 691930@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Frank Gard <frank@familie-gard.de>
Cc: 691930@bugs.debian.org
Subject: Re: Bug#691930: live-build: lb_config doesn't accept --aptitude-options
Date: Wed, 31 Oct 2012 15:12:48 +0100
retitle 691930 typo in aptitude-options name in lb_config
tag 691930 pending
thanks

On 10/31/2012 03:02 PM, Frank Gard wrote:
> due to a typo in /usr/share/live/build/scripts/build/lb_config it's not possible to use the option "--aptitude-options". It should be quite easy to fix it by replacing "aptitute-options" through the correct "aptitude-options" in the LONG_OPTIONS variable.

thanks, applied.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'typo in aptitude-options name in lb_config' from 'live-build: lb_config doesn't accept --aptitude-options' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 31 Oct 2012 14:15:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 31 Oct 2012 14:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691930; Package live-build. (Wed, 31 Oct 2012 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Gard <frank@familie-gard.de>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 31 Oct 2012 16:03:03 GMT) Full text and rfc822 format available.

Message #19 received at 691930@bugs.debian.org (full text, mbox):

From: Frank Gard <frank@familie-gard.de>
To: 691930@bugs.debian.org
Subject: Fwd: Bug #691930 has to be reopened
Date: Wed, 31 Oct 2012 16:53:48 +0100
Hello again,

I hope I'll learn it ...

Sorry for the inconvenience of choosing the wrong bug!

Thank you,
Frank.

-------- Original-Nachricht --------
Betreff: Bug #691931 has to be reopened
Datum: Wed, 31 Oct 2012 16:42:08 +0100
Von: Frank Gard <frank@familie-gard.de>
An: 691931@bugs.debian.org

Dear maintainer,

I'm terribly sorry, but to make it work, another patch has to be applied I didn't see at a first glance:

--- /usr/share/live/build/scripts/build/lb_config.buggy.2       2012-10-31 16:36:40.165158636 +0100
+++ /usr/share/live/build/scripts/build/lb_config       2012-10-31 16:26:41.745122703 +0100
@@ -259,7 +259,7 @@
                                ;;

                        --aptitude-options)
-                               LB_APTITUDE_OPTIONS="${2}"
+                               APTITUDE_OPTIONS="${2}"
                                shift 2
                                ;;


BTW:
Why are some of the vars named LB_* while others aren't. Bugs like this one will happen...


Thanks,
Frank.



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 02 Nov 2012 11:51:09 GMT) Full text and rfc822 format available.

Notification sent to Frank Gard <frank@familie-gard.de>:
Bug acknowledged by developer. (Fri, 02 Nov 2012 11:51:09 GMT) Full text and rfc822 format available.

Message #24 received at 691930-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 691930-close@bugs.debian.org
Subject: Bug#691930: fixed in live-build 3.0~a67-1
Date: Fri, 02 Nov 2012 11:48:00 +0000
Source: live-build
Source-Version: 3.0~a67-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691930@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 02 Nov 2012 12:23:38 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a67-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 691616 691930
Changes: 
 live-build (3.0~a67-1) unstable; urgency=low
 .
   [ chals ]
   * Addin missing comma in the long debootstrap-options that caused an
     unrecognized option message.
 .
   [ Daniel Baumann ]
   * Renaming progress mode to progress-linux to match the used naming
     scheme.
   * Removing unecessary removal of apt preferences.
   * Removing workaround for #657560 where we had to temporarily include
     bzip2 into the bootstrapped chroot to avoid sids apt failing on
     mirrors with bzip2 indices only.
   * Removing cruft line breaks in bailout messages for bootstrap tools.
   * Using xargs when copying or hardlinking deb files from and to the
     package cache to avoid hit the shell max command limits (Closes:
     #691616).
   * Defaulting to systemd as initsystem for wheezy based progress-linux
     releases and newer.
   * Shortening initsystem specific hacks for wheezy, systemd on squeeze
     never was really supported anyway.
   * Removing sysvinit when building images with systemd.
   * Running chrooted commands with DEBCONF_NONINTERACTIVE_SEEN set to
     true to ensure debconf questions are not reasked uselessly on the
     final systems.
   * Making sysvinit removal on systemd systems conditional, newer
     bootstraps might not always pull in sysvinit packages anymore.
   * Also supporting the other way around: removing systemd from a
     bootstrap and switching to sysvinit for those distributions that
     default to systemd.
   * Removing debconf-nowarnings option, doesn't provide any advantage to
     disable this option in the first place.
   * Correcting typos in aptitude-options name in lb config, thanks to
     Frank Gard <frank@familie-gard.de> (Closes: #691930).
   * Workarounding recent archive changes wrt/ content files until
     #692111 is fixed.
Checksums-Sha1: 
 17db0138df085442df918449c896dd81ede0d757 1329 live-build_3.0~a67-1.dsc
 822c7accc21cdd88debdfa161ef1da26f4f69901 162264 live-build_3.0~a67.orig.tar.xz
 c61d294b48d9eccb314fbd2c81cb3f0782be706d 49232 live-build_3.0~a67-1.debian.tar.xz
 c1dd77cc62544089e7eb98c2fa646467748ee283 195748 live-build_3.0~a67-1_all.deb
 6798bbd0c4378202c4e9f3e65ca742422cf31b3c 73368 live-build-cgi_3.0~a67-1_all.deb
Checksums-Sha256: 
 c580d49b067023a43d566361fa49463ef1bfd550cf9ce2943a3235bb9a25af30 1329 live-build_3.0~a67-1.dsc
 eeb75b5bfbc240912bbb3c0daf9d3d29eabe11cceacda81c0189c28030f6afcd 162264 live-build_3.0~a67.orig.tar.xz
 ecee8dde2e3f2d361fd4b7c30f7b38769882da64f46cb1883a267401f4849031 49232 live-build_3.0~a67-1.debian.tar.xz
 5a87e1bdadf4be7aec14365fb52ba9f85c326d8ddf87f0c8c382b89bd3223a59 195748 live-build_3.0~a67-1_all.deb
 c7a53ef8a3bfc10807b89bed6d70c756c91b89060bf8471d45acdb774b07e808 73368 live-build-cgi_3.0~a67-1_all.deb
Files: 
 7f882b4c1368a5fba9dc164c2c614ba8 1329 misc optional live-build_3.0~a67-1.dsc
 819129b0fae7db0e127fe7a61187e40a 162264 misc optional live-build_3.0~a67.orig.tar.xz
 e843cbdddd074249907a780a5d98b0b5 49232 misc optional live-build_3.0~a67-1.debian.tar.xz
 b4c1862d21c6bcf10b3f84c989a3c375 195748 misc optional live-build_3.0~a67-1_all.deb
 a9aec55eb7fd78da7bb57bc5196e8634 73368 misc optional live-build-cgi_3.0~a67-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlCTsY8ACgkQ+C5cwEsrK55E8gCfbo8slNfLZVqxrd++asY5/ggP
ZZkAnRf4d93F6hcZaRWJvzNWGVMIvhSh
=ysEo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:26:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:58:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.